
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Interface definition for IDLArray. See IDLByte.h for more information
//
// jhrg 1/12/95

#ifndef _idlarray_h
#define _idlarray_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "Array.h"

class IDLArray: public Array {
public:
    IDLArray(const string &n = (char *)0, BaseType *v = 0);
    virtual ~IDLArray();

    virtual BaseType *ptr_duplicate();

    virtual bool read(const string &dataset);
};

// $Log: IDLArray.h,v $
// Revision 1.3  2000/10/03 23:40:08  jimg
// Moved the CVS Log entries to the end of the files.
// Changed the read() mfuncs so that they match the definition in the
// dap++ library.
// Removed lots of dead code.
//
// Revision 1.2  1999/11/09 05:57:09  jimg
// Result of merge with release-3-1-1
//
// Revision 1.1.2.1  1999/09/23 23:06:25  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#endif


